export default {
  install: function (Vue, options) {
    Vue.constant = {
      //性别
      sex: {
        "1": "男",
        "0": "女"
      },
      // 网银证件类型
      ToidentityType: {
        "1": "01",
        "2": "02",
        "8": "03",
        "3": "04",
        "4": "05",
        "5": "06",
        "10": "07",
        "11": "08",
        "12": "09",
        "47": "47",
        "48": "48",
        "49": "49",
        "13": "10",
        "9": "11"
      },
      // 核心证件类型 如果使用的是cordova的getuserInfo，注意先使用ToidentityType转码 by丁兆星
      identityType: {
        "01": "居民身份证",
        "02": "临时身份证",
        "03": "护照",
        "04": "户口簿",
        "05": "军人身份证",
        "06": "武装警察身份证",
        "07": "港澳台居民往来内地通行证",
        "47": "港澳居民来往内地通行证（香港）",
        "48": "港澳居民来往内地通行证（澳门）",
        "49": "台湾居民来往大陆通行证",
        "08": "外交人员身份证",
        "09": "外国人居留许可证",
        "10": "边民出入境通行证",
        "11": "其它"
      },
      //行号至省别的对应
      bankNumToProvince: {
        "40004": "总行",
        "40142": "北京",
        "40202": "天津",
        "40303": "上海",
        "40600": "西藏",
        "40740": "河北",
        "41041": "山西",
        "41405": "内蒙",
        "41785": "辽宁",
        "42208": "吉林",
        "42465": "黑龙江",
        "43016": "陕西",
        "43251": "甘肃",
        "43347": "宁夏",
        "43469": "青海",
        "43600": "新疆",
        "43810": "山东",
        "44433": "江苏",
        "44899": "安徽",
        "45129": "浙江",
        "45481": "福建",
        "46243": "河南",
        "46405": "湖北",
        "46955": "湖南",
        "47370": "江西",
        "47504": "广东(不含深圳)",
        "47669": "深圳",
        "47806": "海南",
        "48051": "广西",
        "48631": "四川",
        "48642": "重庆",
        "48882": "贵州",
        "49146": "云南",
        "40308": "上海自贸区",
        "40208": "天津自贸区",
        "49998": "广东自贸区",
        "49404": "深圳自贸区",
        "45599": "福建自贸区",
        "0": "未知",
        "-": "－",
        "-2": "－"
      },
      //卡面与路径对应关系
      carTypeToImgUrl: {
        //信用卡
        "103": "images/card/comb1000051.png",//中银信用卡
        "104": "images/card/comb1000051.png",//长城信用卡
        "107": "images/card/comb1000051.png",//单外币信用卡
        //虚拟信用卡
        "108": "images/card/XNCRCD.png",//虚拟贷记卡
        "109": "images/card/XNCRCD.png",//虚拟准贷记卡
        //借记卡
        "110": "images/card/DEBIT_CARD.png",//虚拟借记卡
        "119": "images/card/DEBIT_CARD.png",//长城电子借记卡
        //定期
        "140": "images/card/TERM_ACCOUNT.png",//存本取息
        "150": "images/card/TERM_ACCOUNT.png",//零存整取
        "152": "images/card/TERM_ACCOUNT.png",//教育储蓄
        "170": "images/card/TERM_ACCOUNT.png",//定期一本通
        //活期
        "101": "images/card/CURRENT_ACCOUNT.png",//普通活期
        "188": "images/card/CURRENT_ACCOUNT.png",//活期一本通
        //网上专属理财
        "190": "images/card/BOCINVT.png",//普通活期
        //电子现金卡
        "300": "images/card/ECASH.png"//普通活期
      },
      //定期存单类型
      fixed_deposit_type_: {
        "140": "存本取息",
        "110": "整存整取",
        "150": "零存整取",
        "160": "定活两便",
        "166": "通知存款",
        "152": "教育储蓄",
        "912": "零存整取",
        "935": "教育储蓄",
        "913": "存本取息"
      },
      //定期存款存期
      //建议用法：将后台返回的存期先乘以1，转化为数字，再转换为字符串
      //如果得到字符串1，需要根据存单类型判断存期，如果不是通知存款,则需要把1改为01
      fixed_deposit_period_: {
        "1": "1天",
        "7": "7天",
        "01": "1个月",
        "2": "2个月",
        "3": "3个月",
        "6": "6个月",
        "9": "9个月",
        "12": " 1年",
        "13": " 13个月",
        "15": " 15个月",
        "18": " 18个月",
        "24": " 2年",
        "36": " 3年",
        "60": " 5年",
        "72": " 6年",
        "73": " 8年",
        "0": " 不固定期限",
        "81": " 1天",
        "82": " 7天",
        "83": " 14天",
        "84": " 21天",
        "86": " 按天"
      },
      //定期存款利息转存约定方式
      deposit_appoint_type_: {
        "R": "存入本金",
        "T": "转出利息",
        "I": "按指令付息"
      },
      //定期约定转存执行方式
      appoint_execute_type_: {
        "1": "仅本次到期",
        "2": "历次到期"
      },
      //大额存单存款状态
      deposit_status_: {
        "0": "正常",
        "1": "已转让",
        "2": "已赎回",
        "3": "止付"
      },
      //大额存单利息处理方式
      deposit_interest_settlement_: {
        "I": "指令付息",
        "T": "转他户",
        "R": "转本账户"
      },
      //大额存单交易明细
      deposit_transation_detail_: {
        "01": "申购",
        "02": "转让",
        "03": "赎回",
        "04": "止付",
        "05": "赎回冲正",
        "06": "解除止付",
        "07": "部提",
        "08": "部提冲正",
        "09": "凭证配发",
        "10": "存款证明开立",
        "11": "存款证明收回",
        "12": "利息支取"
      },
      //自动转存方式
      deposit_convertType_: {
        "R": "自动转存",
        "N": "非自动转存"
      },
      //约定转存方式
      deposit_convertType_callDeposit: {
        "R": "约定转存",
        "N": "非约定转存"
      },
      //存款管理--支取方式
      notify_deposit_draw_: {
        "N": "部分支取",
        "Y": "全部支取"
      },
      //存款管理--钞汇标示
      // deposit_cash_remit_: {
      //   "01": "现钞",
      //   "02": "现汇"
      // },
      //代销基金--钞汇标示
      deposit_cash_remit_: {
        "CAS": "钞",
        "TRN": "汇"
      },
      //存款管理--执行类型
      deposit_executeType_: {
        "0": "立即执行",
        "1": "预约日期执行",
        "2": "预约周期执行"
      },
      // deposit_executeTypeNum_: {
      //   "立即执行": "0",
      //   "预约日期执行": "1",
      //   "预约周期执行": "2",
      // },
      //存款管理--签约渠道
      deposit_signedChannel_: {
        "00": "柜面",
        "99": "其他",
        "01": "网上银行",
        "02": "银企对接/网上商城",
        "10": "手机银行",
        "11": "家居银行",
        "17": "即时通讯(微信、易信、往来、LINE等即时通讯渠道)",
        "18": "网上银行（客户端版）"
      },
      deposit_frequency_: {
        "W": "单周",
        "D": "双周",
        "M": "月"
      },
      //存款管理--解约渠道
      deposit_rescissionChannel_: {
        "00": "柜面",
        "99": "其他",
        "01": "网上银行",
        "02": "银企对接/网上商城",
        "10": "手机银行",
        "11": "家居银行",
        "17": "即时通讯(微信、易信、往来、LINE等即时通讯渠道)",
        "18": "网上银行（客户端版）"
      },
      deposit_frequencyNum_: {
        "W": "单周",
        "D": "双周",
        "M": "月"
      },
      appointment_status_: {
        "A": "交易成功",
        "8": "已删除",
        "B": "交易失败",
        "12": "交易失败",
        "G": "银行处理中",
        "7": "提交成功",
        "H": "银行处理中",
        "F": "待银行处理",
        "I": "提交成功",
        "K": "未明",
        "L": "银行已受理"
      },
      //存款管理--通知存款 通知状态
      deposit_callStatus_: {
        "D": "已撤销",
        "A": "正常",
        "P": "已结清",
        "W": "正常", // 原为待销户（有全额支取通知），考虑到不误解客户，前端显示为正常
        "O": "已逾期",
        "B": "违约"
      },
      // //ETC查询筛选
      // etc_listType_: {
      //   "全部": "3", //人民币
      //   "充值记录": "1", //人民币
      //   "通行记录": "2" //美元
      // },
      // filter_listTime_: {
      //   "近一周": 0,
      //   "近一月": 1,
      //   "近三月": 2
      // },
      // //个人设定-近1周 近1月 近3月
      // filter_listTime_svr_: {
      //   "近1周": 0,
      //   "近1月": 1,
      //   "近3月": 2
      // },
      etc_transType_: {
        "0": "通行",
        "1": "充值"
      },

      account_type_: {
        "101": "普通活期",
        "103": "中银系列信用卡",
        "104": "长城信用卡",
        "105": "公司信用卡（公司清偿）",
        "106": "长城人民币信用卡（分行）",
        "107": "单外币信用卡",
        "119": "长城电子借记卡",
        "140": "存本取息",
        "150": "零存整取",
        "152": "教育储蓄",
        "170": "定期一本通",
        "188": "活期一本通",
        "190": "网上专属理财账户",
        "201": "海外对私普通活期",
        "202": "海外对私普通定期",
        "203": "海外对私支票",
        "204": "海外对私贷款",
        "205": "海外对私保证金",
        "206": "二十四小时通知账户",
        "207": "现金管理账户",
        "208": "7天通知账户",
        "209": "30天通知账户",
        "210": "纽分行投资账户",
        "211": "海外定期一本通",
        "212": "海外活期一本通",
        "213": "海外借记卡",
        "214": "海外信用卡",
        "215": "海外对公借记卡",
        "216": "货币市场账户",
        "217": "IRA退休定期账户",
        "218": "基本支票Basic Checking账户",
        "219": "移民监管账户",
        "220": "购房投资监管账户",
        "221": "免税活期存折储蓄账户",
        "222": "退休储蓄活期存折储蓄账户",
        "223": "零存整取账户",
        "224": "定活两便账户",
        "225": "免税定期存款账户",
        "226": "退休储蓄定期存款账户",
        "227": "活期透支账户",
        "228": "注册退休储蓄计划零存整取账户",
        "229": "三年步步高定期存款"
      },
      //个人设定-交易状态
      TransStatus_: {
        "01": "交易成功",
        "02": "交易未成功",
        "03": "交易指令被拒绝",
        "04": "交易指令已受理",
        "05": "交易指令已受理（未收到后台返回的可疑指令）",
        "06": "交易状态不明",
        "07": "交易状态银行处理中",
        "08": "提交成功"
      },
      //个人设定-渠道标志
      Channel_: {
        "1": "网上银行",
        "2": "手机银行",
        "6": "对接",
        "5": "微信银行"
      },
      // 货币代码转中文名称
      currency_svr: {
        "001": "人民币元",
        "012": "英镑",
        "013": "港币",
        "014": "美元",
        "015": "瑞士法郎",
        "016": "德国马克",
        "017": "法国法郎",
        "018": "新加坡元",
        "020": "荷兰盾",
        "021": "瑞典克朗",
        "022": "丹麦克朗",
        "023": "挪威克朗",
        "024": "奥地利先令",
        "025": "比利时法郎",
        "026": "意大利里拉",
        "027": "日元",
        "028": "加拿大元",
        "029": "澳大利亚元",
        "032": "林吉特",
        "034": "美元金",
        "035": "人民币金",
        "036": "美元银",
        "038": "欧元",
        "039": "博茨瓦纳普拉",
        "042": "芬兰马克",
        "045": "美元铂",
        "053": "埃及镑",
        "056": "印尼卢比",
        "057": "约旦第纳尔",
        "062": "哈萨克斯坦坚戈",
        "064": "越南盾",
        "065": "匈牙利福林",
        "068": "人民币银",
        "070": "南非兰特",
        "072": "俄罗斯贸易卢布",
        "076": "尼日利亚奈拉",
        "080": "赞比亚克瓦查",
        "081": "澳门元",
        "082": "菲律宾比索",
        "084": "泰国铢",
        "085": "印度卢比",
        "087": "新西兰元",
        "088": "韩元",
        "093": "土耳其里拉",
        "095": "记账瑞士法郎",
        "096": "阿联酋迪拉姆",
        "101": "自贸国际四九金",
        "131": "文莱元",
        "134": "巴西里亚尔",
        "166": "柬埔寨瑞尔",
        "179": "蒙古图格里克",
        "196": "卢布",
        "213": "新台币",
        "246": "乌克兰格里夫纳",
        "253": "赞比亚新克瓦查",
        "841": "美元钯",
        "844": "人民币钯",
        "845": "人民币铂"
      },
      // 货币英文缩写货币代码
      currency_short_name_to_code: {
        "CNY": "001",
        "GBP": "012",
        "HKD": "013",
        "USD": "014",
        "CHF": "015",
        "DEM": "016",
        "FRF": "017",
        "SGD": "018",
        "NLG": "020",
        "SEK": "021",
        "DKK": "022",
        "NOK": "023",
        "ATS": "024",
        "BEF": "025",
        "ITL": "026",
        "JPY": "027",
        "CAD": "028",
        "AUD": "029",
        "MYR": "032",
        "XAU": "034",
        "GLD": "035",
        "XAG": "036",
        "EUR": "038",
        "BWP": "039",
        "FIM": "042",
        "XPT": "045",
        "EGP": "053",
        "IDR": "056",
        "JOD": "057",
        "ROL": "062",
        "VND": "064",
        "HUF": "065",
        "SLV": "068",
        "ZAR": "070",
        "RUR": "072",
        "NGN": "076",
        "ZMK": "080",
        "MOP": "081",
        "PHP": "082",
        "THB": "084",
        "INR": "085",
        "NZD": "087",
        "KRW": "088",
        "TRY": "093",
        "CLS": "095",
        "AED": "096",
        "KZT": "101",
        "BND": "131",
        "BRL": "134",
        "KHR": "166",
        "MNT": "179",
        "RUB": "196",
        "TWD": "213",
        "UAH": "246",
        "ZMW": "253",
        "XPD": "841",
        "PLD": "844",
        "PLT": "845"
      },
      // 货币代码转对应国旗图片地址
      currency_to_flag_addr: {
        "012": "../static/images/nationalFlags/gbp.png",
        "013": "../static/images/nationalFlags/hkd.png",
        "014": "../static/images/nationalFlags/usd.png",
        "015": "../static/images/nationalFlags/chf.png",
        "018": "../static/images/nationalFlags/sgd.png",
        "021": "../static/images/nationalFlags/sek.png",
        "022": "../static/images/nationalFlags/dkk.png",
        "023": "../static/images/nationalFlags/nok.png",
        "027": "../static/images/nationalFlags/jpy.png",
        "028": "../static/images/nationalFlags/cad.png",
        "029": "../static/images/nationalFlags/aud.png",
        "038": "../static/images/nationalFlags/eur.png",
        "056": "../static/images/nationalFlags/idr.png",
        "070": "../static/images/nationalFlags/zar.png",
        "081": "../static/images/nationalFlags/mop.png",
        "082": "../static/images/nationalFlags/php.png",
        "084": "../static/images/nationalFlags/thb.png",
        "085": "../static/images/nationalFlags/inr.png",
        "087": "../static/images/nationalFlags/nzd.png",
        "088": "../static/images/nationalFlags/krw.png",
        "093": "../static/images/nationalFlags/try.png",
        "096": "../static/images/nationalFlags/aed.png",
        "134": "../static/images/nationalFlags/brl.png",
        "196": "../static/images/nationalFlags/rub.png",
        "213": "../static/images/nationalFlags/twd.png"
      },
      sin_org_input_sel_type: {
        "empty": "00",//00为空
        "onlyInput": "01",//01为输入框
        "onlySelectD": "02",//02为选择框，选择后动态添加输入框
        "onlySelectS": "03",//为选择框，不动态添加框
        "InputAndSelectS": "04",//多个选择框（不动态添加）和输入框 exp: kk
        "multInput": "05" //多个输入框
      },
      recActType: {
        "1": "财政专户",
        "2": "汇缴专户"
      },
      // noTaxTimeTable:{
      //   "近1周": "1",
      //   "近1月": "2",
      //   "近3月": "3",
      // },
      ContractPaymentChannel: {
        "01": "柜台",
        "02": "自助终端",
        "03": "网银",
        "04": "手机银行",
        "05": "家居银行"
      },
      quotaStatus: {
        "0": "建立",
        "1": "生效",
        "2": "冻结",
        "3": "过期",
        "4": "消额"
      },
      loanPeriodUnit: {
        "D": "日",
        "M": "月",
        "Y": "年"
      },
      loanquoteType: {//quoteType  --  loanPrdNo
        "1": "OC-LOAN", //WLCF
        "2": "PC-LOAN", //PLCF
        "3": "ZZZZZZZZ", //账户签约 贷款账户用款 不确定是否相同
        "4": "BJ-QUNAR",//北京去哪儿网WLPC时上送：网络消费贷款；
        "5": "JX-GDT",// 江西个贷通WLFC时上送：个贷通；
        "6": "JX-FPT",// 江西扶贫通WLFB时上送：扶贫通；
        "7": "OC-STULN",//线上青春E贷（WLXS)
        "8": "PC-STULN"//线下青春E贷  (PLXS)
      },
      // P801青春E贷新增 -- 签约类型
      schoolLoanQuoteType: {
        "1": "WLCF", //WLCF
        "2": "PLCF", //PLCF
        "3": "账户签约", //账户签约 贷款账户用款 不确定是否相同
        "4": "WLPC",//
        "5": "WLFC",
        "6": "WLFB",
        "7": "WLXS",
        "8": "PLXS"
      },
      // P801青春E贷新增 -- 贷款品种渠道展示
      schoolLoanTypeView: {
        "WLCF": "中银E贷", //WLCF
        "PLCF": "中银E贷", //PLCF
        "WLPC": "网络消费贷款", //账户签约 贷款账户用款 不确定是否相同
        "WLFC": "个贷通",//
        "WLFB": "扶贫通",
        "WLXS": "青春E贷",
        "PLXS": "青春E贷"
      },
      loanProgressType: {
        "01": "已提交",
        "02": "受理中",
        "03": "已拒绝",
        "04": "审批中",
        "05": "审批通过",
        "06": "已放款"
      },
      loanTypeAndName: {//此表更具贷款管理代码中取得，与704一致。9.4日更新，根据业务要求，1046、1047映射为个人其他贷款，但在贷款申请、我的贷款及循环贷详情页叫“个人循环贷款”；1160映射为网络消费贷款，但在贷款申请、我的贷款及详情页叫“中银E贷”
        "1001": "普通贷款",
        "1003": "房地产贷款",
        "1004": "出口打包贷款",
        "1005": "应收款转让",
        "1006": "汇出汇款融资",
        "1007": "银团贷款（中行出资）",
        "1008": "出口信贷",
        "1009": "三贷资金贷款",
        "1010": "代筹资金贷款",
        "1011": "特种贷款",
        "1012": "政策停息贷款",
        "1013": "汽车经销商贷款",
        "1014": "境内银行同业借款",
        "1015": "境内非银行同业借款",
        "1016": "股票质押贷款",
        "1017": "信贷资产回购",
        "1018": "汽车金融公司贷款",
        "1019": "银行承兑汇票贴现",
        "1020": "商业承兑汇票贴现",
        "1021": "同业票据贴现",
        "1022": "委托贷款",
        "1023": "代理贷款",
        "1024": "银团贷款（他行出资）",
        "1025": "银承垫款",
        "1026": "信用证垫",
        "1027": "保函垫款",
        "1028": "其他垫款",
        "1029": "出口押逾",
        "1031": "保理融逾",
        "1032": "包买票逾",
        "1033": "信用证逾",
        "1034": "出口贴逾",
        "1035": "个人住房贷款",
        "1036": "个人住房贷款",
        "1037": "个人住房贷款",
        "1038": "个人住房贷款",
        "1039": "个人住房贷款",
        "1040": "个人住房贷款",
        "1041": "个人住房贷款",
        "1042": "个人消费汽车贷款",
        "1043": "个人消费汽车贷款",
        "1044": "国家助学贷款",
        "1045": "个人商业性助学贷款",
        "1046": "个人其他贷款",//1046 1047贷款在贷款申请和我的贷款里叫“个人循环贷款”，其他如额度查询里还用本地存的码表映射叫“个人其他贷款”，1046 1047这个咱们功能入口 也就是用款那里  和中银E贷并列的菜单名字叫个人循环贷款   但由于本身1046和1047这两个除了循环贷款还有别的分行的贷款也在用 所以后台查回来的数据进行映射 就叫个人其他贷款
        "1047": "个人其他贷款",
        "1048": "个人质押贷款",
        "1049": "自助贷款",
        "1050": "个人外汇留学贷款",
        "1051": "个人商业用房贷款",
        "1052": "个人商业用房贷款",
        "1053": "个人营运汽车贷款",
        "1054": "个人经营贷款",
        "1055": "创业担保贷款",
        "1056": "个人住房公积金贷款",
        "1057": "汽车委托贷款",
        "1058": "个人委托贷款",
        "1059": "逆回购",
        "1060": "以物抵债",
        "1064": "特定不良贷款",
        "1065": "存放同业",
        "1066": "并购贷款",
        "1067": "受托管理贷款",
        "1068": "信贷资产受让贷款",
        "1069": "融易达逾",
        "1070": "融信达逾",
        "1071": "其它逾期",
        "1077": "卡贷通",
        "1081": "未知贷款",
        "1083": "新人新办法贷款",
        "1091": "网银贷款",
        "1108": "未知贷款",
        "1125": "网络消费贷款",
        "1131": "网络经营贷款",
        "1160": "网络消费贷款",//1060这个也是同理 在表里叫个人网络消费贷款  也是用于后台查回的贷款记录等数据映射   贷款用款 额度激活这些入口处菜单还是叫中银E贷
        "1184": "军人公积金贷款",
        "9999": "其它贷款",
        "060001": "个人住房贷款",
        "060002": "个人住房贷款",
        "060003": "个人住房贷款",
        "060004": "个人住房贷款",
        "060005": "个人住房贷款",
        "060006": "个人住房贷款",
        "060007": "个人住房贷款",
        "070001": "个人消费汽车贷款",
        "070002": "个人消费汽车贷款",
        "080001": "国家助学贷款",
        "080002": "个人商业性助学贷款",
        "080003": "个人其他贷款",//1046
        "080004": "个人其他贷款",//1047
        "080005": "个人质押贷款",
        "080006": "自助贷款",
        "080007": "个人外汇留学贷款",
        "080008": "卡贷通",
        "080009": "未知贷款",
        "080010": "新人新办法贷款",
        "080012": "网络消费贷款",
        "090001": "个人商业用房贷款",
        "090002": "个人商业用房贷款",
        "090003": "个人营运汽车贷款",
        "090004": "个人经营贷款",
        "090005": "创业担保贷款",
        "100001": "个人住房公积金贷款",
        "100002": "汽车委托贷款",
        "100003": "个人委托贷款",
        "100004": "未知贷款",
        "110001": "个人住房贷款",
        "110002": "个人住房贷款",
        "110003": "个人住房贷款",
        "110004": "个人住房贷款",
        "110005": "个人住房贷款",
        "110006": "个人住房贷款",
        "110007": "个人住房贷款",
        "120001": "个人消费汽车贷款",
        "120002": "个人消费汽车贷款",
        "130001": "国家助学贷款",
        "130002": "个人商业性助学贷款",
        "130003": "个人其他贷款",//1046
        "130004": "个人其他贷款",//1047
        "130005": "个人质押贷款",
        "130006": "自助贷款",
        "130007": "个人外汇留学贷款",
        "130009": "未知贷款",
        "130012": "网络消费贷款",
        "140001": "个人商业用房贷款",
        "140002": "个人商业用房贷款",
        "140003": "个人营运汽车贷款",
        "140004": "个人经营贷款",
        "140005": "创业担保贷款",
        "140006": "网络经营贷款",
        "150001": "个人住房公积金贷款",
        "150002": "汽车委托贷款",
        "150003": "个人委托贷款"
      },
      // 外币预约-预约记录状态
      oderTransStatus: {
        '00': '全部',
        '01': '待确认',
        '02': '待取现',
        '03': '金库拒绝',
        '04': '已办理',
        '05': '已过期',
        '06': '已取消'
      },
      // 外币预约-预约渠道
      oderChannel: {
        '00': '全部渠道',
        '01': '微银行',
        '02': '网银',
        '03': '手机银行',
        '04': '中银易商',
        '05': '95566',
        '06': '理财经理客户端',
        '07': '智能柜台PAD',
        '08': '柜面',
        '09': '特许兑换公司',
        '10': '非特许兑换公司'
      },
      // 省行机构号
      fundBankIDMa: {
        '2009': '北京',
        '1367': '天津',
        '879': '广东',
        '261': '山东',
        '806': '浙江',
        '1368': '上海',
        '762': '海南',
        '1233': '福建',
        '1953': '江苏',
        '1958': '湖南',
        '1370': '安徽',
        '811': '辽宁',
        '1131': '云南',
        '1952': '广西',
        '1369': '重庆',
        '1942': '陕西',
        '1132': '四川',
        '300': '贵州',
        '832': '宁夏',
        '1945': '新疆',
        '808': '河北',
        '1957': '河南',
        '1304': '山西',
        '1949': '吉林',
        '2008': '黑龙江',
        '836': '内蒙',
        '833': '青海',
        '524': '湖北',
        '880': '江西',
        '2065': '甘肃',
        '15': '西藏',
        '1302': '深圳',
        '854': '总行',
        '79218': '宁波',
        '79162': '厦门',
        '50092': 'FTU中国银行上海市分行',
        '82611': 'HX中国银行新疆维吾尔自治区分行',
        '00168': '中国银行上海总部',
        '00345': '中国银行总行营业部'
      },
      // 民族
      nationality:{
        '01': '汉族',
        '02': '阿昌族',
        '03': '白族',
        '04': '保安族',
        '05': '布朗族',
        '06': '布依族',
        '07': '朝鲜族',
        '08': '达斡尔族',
        '09': '傣族',
        '10': '德昂族',
        '11': '东乡族',
        '12': '独龙族',
        '13': '俄罗斯族',
        '14': '鄂伦春族',
        '15': '鄂温克族',
        '16': '高山族',
        '17': '哈尼族',
        '18': '哈萨克族',
        '19': '赫哲族',
        '20': '回族',
        '21': '基诺族',
        '22': '京族',
        '23': '景波族',
        '24': '柯尔克孜族',
        '25': '拉祜族',
        '26': '黎族',
        '27': '傈僳族',
        '28': '珞巴族',
        '29': '满族',
        '30': '毛南族',
        '31': '门巴族',
        '32': '蒙古族',
        '33': '苗族',
        '34': '仫佬族',
        '35': '纳西族',
        '36': '怒族',
        '37': '普米族',
        '38': '羌族',
        '39': '撒拉族',
        '40': '畲族',
        '41': '水族',
        '42': '塔吉克族',
        '43': '塔塔尔族',
        '44': '侗族',
        '45': '土族',
        '46': '土家族',
        '47': '佤族',
        '48': '维吾尔族',
        '49': '乌兹别克族',
        '50': '锡伯族',
        '51': '瑶族',
        '52': '彝族',
        '53': '仡佬族',
        '54': '裕固族',
        '55': '藏族',
        '56': '壮族'
      },
      // 文化程度
      standard: {
        '1': '研究生',
        '2': '大学本科'
      },
      // 婚姻状态
      marryCondition: {
        '0': '未婚',
        '1': '已婚',
        '2': '初婚',
        '3': '再婚',
        '4': '复婚',
        '5': '丧偶',
        '6': '离婚',
        '7': '其它'
      },
      // 居住情况
      liveCondition: {
        '1': '自置',
        '2': '按揭',
        '3': '亲属楼宇',
        '4': '集体宿舍',
        '5': '租房',
        '6': '共有住宅',
        '7': '其他',
        '9': '未知'
      },
      // 最高学位
      highestDegree: {
        '0': '名誉博士',
        '1': '博士',
        '2': '硕士',
        '3': '学士'
      },
      //国家码
      codecountry:{
        'AD': '安道尔',
        'AE': '阿联酋',
        'AF': '阿富汗',
        'AG': '安提瓜和巴布达',
        'AI': '安圭拉',
        'AL': '阿尔巴尼亚',
        'AM': '亚美尼亚',
        'AN': '荷属安的列斯',
        'AO': '安哥拉',
        'AQ': '南极洲',
        'AR': '阿根廷',
        'AS': '美属萨摩亚',
        'AT': '奥地利',
        'AU': '澳大利亚',
        'AW': '阿鲁巴（荷）',
        'AX': '奥兰群岛',
        'AZ': '阿塞拜疆',
        'BA': '波黑',
        'BB': '巴巴多斯',
        'BD': '孟加拉国',
        'BE': '比利时',
        'BF': '布基纳法索',
        'BG': '保加利亚',
        'BH': '巴林',
        'BI': '布隆迪',
        'BJ': '贝宁',
        'BL': '法属圣巴泰勒米',
        'BM': '百慕大',
        'BN': '文莱',
        'BO': '玻利维亚',
        'BQ': '荷属加勒比区',
        'BR': '巴西',
        'BS': '巴哈马',
        'BT': '不丹',
        'BV': '布维岛',
        'BW': '博茨瓦纳',
        'BY': '白俄罗斯',
        'BZ': '伯利兹',
        'CA': '加拿大',
        'CC': '科科斯（基林）群岛',
        'CD': '刚果（金）',
        'CE': '克里米亚地区',
        'CF': '中非',
        'CG': '刚果（布）',
        'CH': '瑞士',
        'CI': '科特迪瓦',
        'CK': '库克群岛',
        'CL': '智利',
        'CM': '喀麦隆',
        'CN': '中国',
        'CO': '哥伦比亚',
        'CR': '哥斯达黎加',
        'CU': '古巴',
        'CV': '佛得角',
        'CW': '库拉索',
        'CX': '圣诞岛',
        'CY': '塞浦路斯',
        'CZ': '捷克',
        'DE': '德国',
        'DJ': '吉布提',
        'DK': '丹麦',
        'DM': '多米尼克',
        'DO': '多米尼加',
        'DZ': '阿尔及利亚',
        'EC': '厄瓜多尔',
        'EE': '爱沙尼亚',
        'EG': '埃及',
        'EH': '西撒哈拉',
        'ER': '厄立特里亚',
        'ES': '西班牙',
        'ET': '埃塞俄比亚',
        'EU': '欧盟欧元地区',
        'FI': '芬兰',
        'FJ': '斐济',
        'FK': '福克兰群岛（马尔维纳斯）',
        'FM': '密克罗尼西亚联邦',
        'FO': '法罗群岛（丹）',
        'FR': '法国',
        'GA': '加蓬',
        'GB': '英国',
        'GD': '格林纳达',
        'GE': '格鲁吉亚',
        'GF': '法属圭亚那',
        'GG': '格恩西',
        'GH': '加纳',
        'GI': '直布罗陀',
        'GL': '格陵兰（丹）',
        'GM': '冈比亚',
        'GN': '几内亚',
        'GP': '瓜德罗普（法）',
        'GQ': '赤道几内亚',
        'GR': '希腊',
        'GS': '南乔治亚岛和南桑德韦奇岛',
        'GT': '危地马拉',
        'GU': '关岛（美）',
        'GW': '几内亚比绍',
        'GY': '圭亚那',
        'HK': '香港',
        'HM': '赫德岛和麦克唐纳岛',
        'HN': '洪都拉斯',
        'HR': '克罗地亚',
        'HT': '海地',
        'HU': '匈牙利',
        'ID': '印度尼西亚',
        'IE': '爱尔兰',
        'IL': '以色列',
        'IM': '马恩岛',
        'IN': '印度',
        'IO': '英属印度洋领地',
        'IQ': '伊拉克',
        'IR': '伊朗',
        'IS': '冰岛',
        'IT': '意大利',
        'JE': '泽西岛',
        'JM': '牙买加',
        'JO': '约旦',
        'JP': '日本',
        'KE': '肯尼亚',
        'KG': '吉尔吉斯斯坦',
        'KH': '柬埔寨',
        'KI': '基里巴斯',
        'KM': '科摩罗',
        'KN': '圣基茨和尼维斯',
        'KP': '朝鲜',
        'KR': '韩国',
        'KW': '科威特',
        'KY': '开曼群岛',
        'KZ': '哈萨克斯坦',
        'LA': '老挝',
        'LB': '黎巴嫩',
        'LC': '圣卢西亚',
        'LI': '列支敦士登',
        'LK': '斯里兰卡',
        'LR': '利比里亚',
        'LS': '莱索托',
        'LT': '立陶宛',
        'LU': '卢森堡',
        'LV': '拉脱维亚',
        'LY': '利比亚',
        'MA': '摩洛哥',
        'MC': '摩纳哥',
        'MD': '摩尔多瓦',
        'ME': '黑山',
        'MF': '法属圣马丁',
        'MG': '马达加斯加',
        'MH': '马绍尔群岛',
        'MK': '前南马斯顿',
        'ML': '马里',
        'MM': '缅甸',
        'MN': '蒙古',
        'MO': '澳门',
        'MP': '北马里亚纳（美）',
        'MQ': '马提尼克（法）',
        'MR': '毛里塔尼亚',
        'MS': '蒙特塞拉特（法）',
        'MT': '马耳他',
        'MU': '毛里求斯',
        'MV': '马尔代夫',
        'MW': '马拉维',
        'MX': '墨西哥',
        'MY': '马来西亚',
        'MZ': '莫桑比克',
        'NA': '纳米比亚',
        'NC': '新喀里多尼亚（法）',
        'NE': '尼日尔',
        'NF': '诺福克岛',
        'NG': '尼日利亚',
        'NI': '尼加拉瓜',
        'NL': '荷兰',
        'NO': '挪威',
        'NP': '尼泊尔',
        'NR': '瑙鲁',
        'NU': '纽埃',
        'NY': '北塞浦路斯地区',
        'NZ': '新西兰',
        'OM': '阿曼',
        'PA': '巴拿马',
        'PE': '秘鲁',
        'PF': '法属波利尼西亚',
        'PG': '巴布亚新几内亚',
        'PH': '菲律宾',
        'PK': '巴基斯坦',
        'PL': '波兰',
        'PM': '圣皮埃尔和密克隆（法）',
        'PN': '皮特凯恩（英）',
        'PR': '波多黎各（美）',
        'PS': '巴勒斯坦',
        'PT': '葡萄牙',
        'PW': '帕劳',
        'PY': '巴拉圭',
        'QA': '卡塔尔',
        'RE': '留尼汪（法）',
        'RO': '罗马尼亚',
        'RS': '塞尔维亚',
        'RU': '俄罗斯联邦',
        'RW': '卢旺达',
        'SA': '沙特阿拉伯',
        'SB': '所罗门群岛',
        'SC': '塞舌尔',
        'SD': '苏丹',
        'SE': '瑞典',
        'SG': '新加坡',
        'SH': '圣赫勒拿（英）',
        'SI': '斯洛文尼亚',
        'SJ': '斯瓦尔巴岛和扬马延岛',
        'SK': '斯洛伐克',
        'SL': '塞拉利昂',
        'SM': '圣马力诺',
        'SN': '塞内加尔',
        'SO': '索马里',
        'SR': '苏里南',
        'SS': '南苏丹',
        'ST': '圣多美和普林西比',
        'SV': '萨尔瓦多',
        'SX': '荷属圣马丁',
        'SY': '叙利亚',
        'SZ': '斯威士兰',
        'TC': '特克斯和凯科斯群岛（英）',
        'TD': '乍得',
        'TF': '法属南部领地',
        'TG': '多哥',
        'TH': '泰国',
        'TJ': '塔吉克斯坦',
        'TK': '托克劳（新）',
        'TL': '东帝汶',
        'TM': '土库曼斯坦',
        'TN': '突尼斯',
        'TO': '汤加',
        'TR': '土耳其',
        'TT': '特立尼达和多巴哥',
        'TV': '图瓦卢',
        'TW': '台湾',
        'TZ': '坦桑尼亚',
        'UA': '乌克兰',
        'UG': '乌干达',
        'UM': '美国本土外小岛屿',
        'US': '美国',
        'UY': '乌拉圭',
        'UZ': '乌兹别克斯坦',
        'VA': '梵蒂冈',
        'VC': '圣文森特和格林纳丁斯',
        'VE': '委内瑞拉',
        'VG': '英属维尔京群岛',
        'VI': '美属维尔京群岛',
        'VN': '越南',
        'VU': '瓦努阿图',
        'WF': '瓦利斯和富图纳（法）',
        'WS': '萨摩亚',
        'YE': '也门',
        'YN': '英南极地区',
        'YT': '马约特',
        'YU': '南斯拉夫',
        'ZA': '南非',
        'ZM': '赞比亚',
        'ZW': '津巴布韦',
        'ZZ': '其他'
      },
      //还款原因码
      codeRepayreason:
      {
        '01': '毕业',
        '02': '退学',
        '03': '出国',
        '04': '其他'
      },
      //本息还款方式码
      codeRepaytype:
      {
        '01': '等额本金',
        '02': '等额本金'
      },
      // 户籍类型
      houseHoldType: {
        '0': '外籍',
        '1': '港澳台',
        '2': '外省',
        '3': '本省',
        '4': '本地'
      },
      // 购汇资金属性
      use_info_payment: {
        '3221': '自费出境学习',
        '3222': '因私旅游',
        '3223': '公务及商务出国',
        '3224': '境外个人原币兑回',
        '3225': '旅游项下其他',
        '3229': '探亲',
        '310': '货物贸易',
        '321': '运输',
        '323': '金融和保险服务',
        '324': '专有权利使用费和特许费',
        '325': '咨询服务',
        '326': '其他服务',
        '331': '职工报酬和赡家款',
        '332': '投资收益',
        '333': '其他经常转移',
        '410': '资本账户',
        '421': '投资资本金',
        '422': '直接投资撤资',
        '423': '房地产',
        '42A': '其他直接投资',
        '431': '对境外证券投资',
        '44A': '其他投资',
        '450': '国内外汇贷款',
        '470': '经批准的资本其他'
      },
      // 申请表资金属性代码对照
      use_info_payment_code: {
        '3221': '02',
        '3222': '01',
        '3223': '03',
        '3225': '05',
        '3229': '04',
        '310': '06',
        '321': '13',
        '323': '07',
        '324': '14',
        '325': '08',
        '326': '11',
        '331': '12',
        '332': '16',
        '333': '15',
        '431': '10',
        '470': '09'
      },
      // 结汇资金属性
      use_info_settlement: {
        '110': '货物贸易',
        '121': '运输',
        '122': '旅游',
        '123': '金融和保险服务',
        '124': '专有权利使用费和特许费',
        '125': '咨询服务',
        '126': '其他服务',
        '131': '职工报酬和赡家款',
        '133': '其他经常转移',
        '210': '资本账户',
        '222': '直接投资撤资',
        '22A': '其他直接投资',
        '231': '对境外证券投资撤回',
        '232': '证券筹资',
        '24A': '其他投资',
        '250': '国内外汇贷款',
        '221': '投资资本金',
        '223': '房地产',
        '270': '经批准的资本其他',
        '132': '投资收益'
      },
      // 跨境汇款--汇款用途
      use_info_of_remit: {
        '223022': '境外留学',
        '223023': '境外留学',
        '223021': '境外就医',
        '223010': '公务及商务出国',
        '223029': '请选择',
        '227030': '其他-其他服务',
        '421010': '其他-其他经常转移',
        '228021': '咨询服务',
        '222040': '其他-运输',
        '227020': '其他-其他服务',
        '228024': '其他-其他服务',
        '228022': '咨询服务',
        '228023': '咨询服务'
      },
      // 结汇资金境外用途
      // 此文件会取键集合或值集合所以只支持由汉字转码为数字，否则会出错
      abroad_exchange_settlement_use: {
        '旅游': '122',
        '金融和保险服务': '123',
        '专有权利使用费和特许费': '124',
        '咨询服务': '125',
        '其他服务': '126',
        '投资收益': '132',
        '其他经常转移': '133',
        '运输': '121'
      },
      // 结汇资金境内用途
      // 此文件会取键集合或值集合所以只支持由汉字转码为数字，否则会出错
      domestic_exchange_settlement_use: {
        '职工报酬和赡家款': '131',
        '旅游': '122',
        '金融和保险服务': '123',
        '专有权利使用费和特许费': '124',
        '咨询服务': '125',
        '其他服务': '126',
        '投资收益': '132',
        '其他经常转移': '133',
        '运输': '121'
      },
      // 结购汇渠道标识
      exchange_channel: {
        '00': '柜台',
        '01': '网上银行',
        '02': '银企对接/网上商城',
        '03': '短信',
        '04': '电话银行（自助）',
        '05': '电话银行（人工）',
        '06': '传真',
        '07': '自助终端',
        '08': '其他',
        '09': 'ATM',
        '10': '手机银行',
        '11': '家居银行',
        '12': 'POS机',
        '13': '柜台',
        '14': '智能柜台',
        '15': '柜台',
        '16': '中银开放平台',
        '17': '即时通讯(微信)',
        '18': '网上银行',
        '98': '其他',
        '99': '其他'
      }
    }
  }
}
