/* eslint-disable*/
import Vue from 'vue'
import '@boc/mfe/default.css'
import bocutil from '@boc/mfe/bocutil'
// import incbfwajax from '@boc/incbfwajax'
import bfwajax from '@boc/mfe/bfwajax'
import bfwent from '@boc/mfe/bfwent'
import constant from '@/libs/constant'
import cinterfaces from '@/libs/cinterfaces'
import loadingmask from '@boc/mfe/loadingmask'
import popwindow from '@boc/mfe/popwindow'
import $alert from '@boc/mfe/alert'
Vue.use($alert)
Vue.use(cinterfaces)
Vue.use(bocutil)
Vue.use(constant)
Vue.use(bfwajax)
Vue.use(bfwent)

export default {
  data: {
    eventHub: new Vue(),
    appcls: '',
    alertFlag: '',
    alertContent: ''
  },
  components: {loadingmask, popwindow},
  beforeCreate: function(){
  },
  created: function(pth) {
    pth = pth || '../'
    // 引入cordova
    var terminal = window.Vue.bocutil.terminal
    if (!terminal.weixin && Vue.bocutil.urlparams.dev !== 'weixin') {
      var script = document.createElement('script')
      if (terminal.iPhone) {
        this.appcls = 'ios'
        script.src = pth + 'libs/cordova/cordova.ios.js'
      } else if (terminal.android) {
        this.appcls = 'android'
        script.src = pth + 'libs/cordova/cordova.android.js'
      }
      document.getElementsByTagName('head')[0].appendChild(script)
    } else {
      this.appcls = 'weixin'
    }
  },
  beforeMount: function(){},
  mounted: function(){
    var _t = this;
    var terminal = window.Vue.bocutil.terminal
    if(!terminal.weixin && Vue.bocutil.urlparams.dev !== 'weixin'){
      document.addEventListener('deviceready', function(){
        _t.c_plugins.commonBridge.getMacInfo(function(macInfo){
          Vue.bocutil.macInfo = macInfo
        })
      })
    }
    this.handleResume()
  },
  beforeDestroy: function(){},
  destroyed: function(){},
  computed: {},
  watch: {},
  methods: {
    docclick: function () {
      Vue.bocutil.hideKeyBoard && Vue.bocutil.hideKeyBoard()
    },
    alertMaskCB: function(){
      Vue.bocutil && Vue.bocutil.logout && Vue.bocutil.logout()
    },
    alertCB: function(){
      Vue.bocutil && Vue.bocutil.logout && Vue.bocutil.logout()
    },
    /**
     * 重写物理返回处理逻辑
     * 请勿在微信中使用该方法
     */
    overrideBack: function () {
      // 打开重写app物理返回键的开关
      Vue.bocutil.handleBack = true
      document.addEventListener('deviceready', function () {
        document.addEventListener('backbutton', function (e) {
          var backBtn = document.querySelectorAll('.backImg')
          backBtn[backBtn.length - 1].click()
        })
      })
    },
    /**
     * 处理通过home键等离开app后再返回等事件
     */
    handleResume: function(){
      document.addEventListener('deviceready', function () {
        document.addEventListener('resume', function (e) {
          var secs = document.getElementsByTagName('section')
          for(var i=0; i<secs.length; i++){
            secs[i].scrollTop = secs[i].scrollTop + 1;
          }
        })
      })
    }
  }
}
