import { urls } from './config.js'

var services = {
  // 查询当前系统时间
  PsnCommonQuerySystemDateTime: {
    method: 'PsnCommonQuerySystemDateTime',
    url: urls['BII'],
    params: {},
    dataRestruct: function (data) {
      return data
    }
  },
  // 未登录查询当前系统时间
  PsnCommonQuerySystemDateTimeForLoginPre: {
    method: 'PsnCommonQuerySystemDateTimeForLoginPre',
    url: urls['BII'],
    params: {},
    dataRestruct: function (data) {
      return data
    }
  },
  // 创建会话
  PSNCreatConversation: {
    method: 'PSNCreatConversation',
    url: urls['BII'],
    params: {},
    dataRestruct: function (data) {
      return data
    }
  },
  // 关闭
  PSNCloseConversation: {
    method: 'PSNCloseConversation',
    url: urls['BII'],
    params: {},
    dataRestruct: function (data) {
      return data
    }
  },
  // 账户列表查询
  PsnCommonQueryAllChinaBankAccount: {
    method: 'PsnCommonQueryAllChinaBankAccount',
    url: urls['BII'],
    params: {},
    dataRestruct: function (data) {
      return data
    }
  },
  // 安全工具查询
  PsnGetSecurityFactor: {
    method: 'PsnGetSecurityFactor',
    url: urls['BII'],
    params: {},
    dataRestruct: function (data) {
      return data
    }
  },
  // 获取tokenid
  PSNGetTokenId: {
    method: 'PSNGetTokenId',
    url: urls['BII'],
    params: {},
    dataRestruct: function (data) {
      return data
    }
  },
  // 获取tokenid - 登录前
  PSNGetTokenIdLoginPre: {
    method: 'PSNGetTokenIdLoginPre',
    url: urls['BII'],
    params: {},
    dataRestruct: function (data) {
      return data
    }
  },
  // 获取随机数
  PSNGetRandom: {
    method: 'PSNGetRandom',
    url: urls['BII'],
    params: {},
    dataRestruct: function (data) {
      return data
    }
  },
  // 创建会话(登陆前)
  PSNCreatConversationLoginPre: {
    method: 'PSNCreatConversationLoginPre',
    url: urls['BII'],
    params: {},
    dataRestruct: function (data) {
      return data
    }
  },
  // 登陆
  LoginWeChat: {
    method: 'LoginWeChat',
    url: urls['BII'],
    params: {},
    dataRestruct: function (data) {
      return data
    }
  },
  // 登出
  Logout: {
    method: 'Logout',
    url: urls['BII'],
    params: {},
    dataRestruct: function (data) {
      return data
    }
  },
  // 获取服务器端随机数(登录前)
  PSNGetRandomLoginPre: {
    method: 'PSNGetRandomLoginPre',
    url: urls['BII'],
    params: {},
    dataRestruct: function (data) {
      return data
    }
  },
  // 获取BII图形验证码地址
  getBIIImgValidation: function () {
    return urls['BIIImgValidation'] + Math.ceil(Math.random() * 0x7fffffff) + '.gif'
  },
  // 获取粉丝信息
  SetUserSubInfo_WPM: { // debug
    method: 'SetUserSubInfo',
    url: urls['WPM'],
    dataRestruct: function (data) {
      return data
    },
    params: {appid: '', url: ''}
  },
  SetUserSubInfo_WBA: { // debug
    method: 'SetUserSubInfo',
    url: urls['WBA'],
    params: {appid: '', url: ''}
  },
  GetUserSubInfo_WPM: {  // 生产
    method: 'GetUserSubInfo',
    url: urls['WPM'],
    params: {appid: '', url: ''}
  },
  GetUserSubInfo_WBA: {  // 生产
    method: 'GetUserSubInfo',
    url: urls['WBA'],
    params: {appid: '', url: ''}
  },
  QueryAtPageUrl: {  // 关注页面
    method: 'QueryAtPageUrl',
    url: urls['WPM'],
    params: {pubid: '', shareType: ''}
  },
  MenuEventSave: {  // 关注页面
    method: 'MenuEventSave',
    url: urls['WPM'],
    params: {}
  }
}
var wfssSvice = {
  forex: {
    queryMultipleQuotation: { method: 'forex/queryMultipleQuotation', url: urls['WFSS'] }
  }
}
var bmsvr = {
  ua00012: {url: urls['BMSVR'], method: 'ua00012'}
}
export {
  urls,
  services,
  wfssSvice,
  bmsvr
}
